## openscap 1.2.15

=== debian/changelog ===
openscap (1.2.15-1ubuntu0.4) bionic; urgency=medium

  * Make dpkg version comparison less strict for epoch digit. (LP: #2004476)
    - d/p/debian-epoch-less-strict.patch: oval_cmp_evr_string:
      Make epoch comparison less restrict for dpkg.
  * Allow build of ComplianceAsCode and USG projects for platforms that use
    remote resources. (LP: #2002551)
    - d/p/allow-DS-session-to-continue-without-remote-resource.patch:
      Allow DS session to continue without remote resource.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 31 Jan 2023 13:38:45 +0100

openscap (1.2.15-1ubuntu0.3) bionic; urgency=medium

  * Add dpkg version comparison algorithm to avoid false positives.
    (LP: #1911791)
    - debian/patches/dpkg-version-comparison-1.patch: Add dpkg version
      comparison algorithm.
    - debian/patches/dpkg-version-comparison-2.patch: Free a_copy and b_copy
      in case of failure and code format.
    - debian/patches/dpkg-version-comparison-3.patch: Fix
      oval_debian_evr_string_cmp.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 06 Jan 2021 10:23:12 -0300

openscap (1.2.15-1ubuntu0.2) bionic; urgency=medium

  * debian/patches/5e5bc61c1fc6a6556665aa5689a62d6bc6487c74.patch: Fix
    dangling '*' in dpkginfo_free_reply declaration (LP: #1851682).

 -- Mark Morlino <mark.morlino@canonical.com>  Wed, 25 Mar 2020 09:53:38 -0400

openscap (1.2.15-1ubuntu0.1) bionic; urgency=medium

  * debian/patches/010-install-cpe-oval.patch: properly install CPE OVAL
    files. (LP: #1845216)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Oct 2019 10:23:11 -0400

openscap (1.2.15-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:38:43 +0000

openscap (1.2.15-1) unstable; urgency=medium

  * New upstream version 1.2.15
  * Refreshed quilt patches
  * Bump Standards version to 4.1.0

 -- Pierre Chifflier <pollux@debian.org>  Wed, 04 Oct 2017 21:53:33 +0200

=== debian/control ===
Source: openscap
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9),
    autotools-dev,
    libpcre3-dev,
    libxml2-dev,
    libxslt1-dev,
    swig,
    python-all-dev,
    libperl-dev,
    libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
    libgcrypt-dev,
    libapt-pkg-dev,
    libselinux1-dev [linux-any],
    libcap-dev [linux-any],
    libattr1-dev,
    libldap2-dev,
    libbz2-dev,
    pkg-config,
    dh-autoreconf,
    dh-python,
    libdbus-1-dev
XS-Python-Version: all
Standards-Version: 4.1.0
Section: libs
Homepage: http://www.open-scap.org/

Package: libopenscap-dev
Section: libdevel
Architecture: linux-any
Depends: libopenscap8 (= ${binary:Version}), ${misc:Depends}, libjs-jquery
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the development files for OpenSCAP.

Package: libopenscap8
Section: libs
Architecture: linux-any
Conflicts: libopenscap0, libopenscap1, libopenscap3
Replaces: libopenscap0, libopenscap1, libopenscap3
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)

Package: python-openscap
Section: python
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap8 (= ${binary:Version})
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Python bindings for OpenSCAP.

Package: libopenscap-perl
Section: perl
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libopenscap8 (= ${binary:Version})
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Perl bindings for OpenSCAP.

Package: libopenscap8-dbg
Section: debug
Architecture: linux-any
Conflicts: libopenscap0-dbg
Replaces: libopenscap0-dbg
Depends: ${shlibs:Depends}, libopenscap8 (= ${binary:Version}), ${misc:Depends}
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains debugging symbols for OpenSCAP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEFAULTPY=$(shell pyversions -v -d)
PYVERSIONS=$(shell pyversions -v -r)
ALLPY=$(PYVERSIONS)

override_dh_auto_test:
	# disable tests until they work as expected
	:

override_dh_auto_configure: $(ALLPY:%=override_dh_auto_configure-%)

override_dh_auto_configure-%:
	dh_auto_configure -Bbuild-python-$* -- --enable-sce --enable-perl PYTHON=/usr/bin/python$*

override_dh_auto_build: $(ALLPY:%=override_dh_auto_build-%)

override_dh_auto_build-%:
	dh_auto_build -Bbuild-python-$*

override_dh_auto_install: $(ALLPY:%=override_dh_auto_install-%)
	find debian/tmp -name "*.la" -delete
	rm -f debian/libopenscap-dev/usr/share/doc/libopenscap-dev/html/jquery.js

override_dh_auto_install-%:
	dh_auto_install -Bbuild-python-$* --destdir=debian/tmp

override_dh_strip:
	dh_strip -plibopenscap8 --dbg-package=libopenscap8-dbg
	dh_strip -ppython-openscap --dbg-package=libopenscap8-dbg
	dh_strip -plibopenscap-perl --dbg-package=libopenscap8-dbg

override_dh_auto_clean:
	rm -rf build-*

%:
	dh $@ --with autotools-dev,autoreconf,python2

## openscap 1.2.16

=== debian/changelog ===
openscap (1.2.16-2ubuntu3.4) focal; urgency=medium

  * Fix segfault in systemdunitdependency probe (LP: #2062389)

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 17 Apr 2024 21:31:32 +0200

openscap (1.2.16-2ubuntu3.3) focal; urgency=medium

  * Make dpkg version comparison less strict for epoch digit. (LP: #2004476)
    - d/p/debian-epoch-less-strict.patch: oval_cmp_evr_string:
      Make epoch comparison less restrict for dpkg.
  * Allow build of ComplianceAsCode and USG projects for platforms that use
    remote resources. (LP: #2002551)
    - d/p/allow-DS-session-to-continue-without-remote-resource.patch:
      Allow DS session to continue without remote resource.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 31 Jan 2023 13:27:43 +0100

openscap (1.2.16-2ubuntu3.2) focal; urgency=medium

  * Add dpkg version comparison algorithm to avoid false positives.
    (LP: #1911791)
    - debian/patches/dpkg-version-comparison-1.patch: Add dpkg version
      comparison algorithm.
    - debian/patches/dpkg-version-comparison-2.patch: Free a_copy and b_copy
      in case of failure and code format.
    - debian/patches/dpkg-version-comparison-3.patch: Fix
      oval_debian_evr_string_cmp.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 06 Jan 2021 10:21:49 -0300

openscap (1.2.16-2ubuntu3.1) focal; urgency=medium

  * debian/patches/5e5bc61c1fc6a6556665aa5689a62d6bc6487c74.patch: Fix
    dangling '*' in dpkginfo_free_reply declaration (LP: #1851682).

 -- Mark Morlino <mark.morlino@canonical.com>  Wed, 25 Mar 2020 14:39:37 -0400

openscap (1.2.16-2ubuntu3) focal; urgency=high

  * Fix for apt 1.9.11.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 27 Feb 2020 14:16:39 +0100

openscap (1.2.16-2ubuntu2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:37:27 +0000

openscap (1.2.16-2ubuntu1) eoan; urgency=medium

  * Port to apt 1.9.0 (include more headers)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 18 Jun 2019 11:52:00 +0200

openscap (1.2.16-2build2) eoan; urgency=high

  * No change rebuild against apt 1.9.0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Jun 2019 13:09:59 +0200

openscap (1.2.16-2build1) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:14:38 -0600

openscap (1.2.16-2) unstable; urgency=medium

  * Add patch to install CPE OVAL files
  * Remove explicit call to dh autotool-dev, now done automatically

 -- Pierre Chifflier <pollux@debian.org>  Thu, 03 May 2018 10:38:37 +0200

openscap (1.2.16-1) unstable; urgency=medium

  * New upstream version 1.2.16
  * Refreshed quilt patches
  * Rename install perl so file (Closes: #896499)
  * Change priority from extra to optional

 -- Pierre Chifflier <pollux@debian.org>  Sat, 28 Apr 2018 18:33:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -38,4 +38,4 @@
 	rm -rf build-*
 
 %:
-	dh $@ --with autotools-dev,autoreconf,python2
+	dh $@ --with autoreconf,python2

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openscap-$1\.tar\.gz/ \
  https://github.com/OpenSCAP/openscap/tags .*/v?(\d\S*)\.tar\.gz

## openscap 1.2.17

=== debian/changelog ===
openscap (1.2.17-0.1ubuntu7) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 09:49:33 +0100

openscap (1.2.17-0.1ubuntu6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:13:39 +0000

openscap (1.2.17-0.1ubuntu5) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:54:36 -0400

openscap (1.2.17-0.1ubuntu4) hirsute; urgency=medium

  * Add dpkg version comparison algorithm to avoid false positives.
    (LP: #1911791)
    - debian/patches/dpkg-version-comparison-1.patch: Add dpkg version
      comparison algorithm.
    - debian/patches/dpkg-version-comparison-2.patch: Free a_copy and b_copy
      in case of failure and code format.
    - debian/patches/dpkg-version-comparison-3.patch: Fix
      oval_debian_evr_string_cmp.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 05 Jan 2021 17:19:13 -0300

openscap (1.2.17-0.1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:37:30 +0100

openscap (1.2.17-0.1ubuntu2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Nov 2020 17:03:44 +0100

openscap (1.2.17-0.1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/5e5bc61c1fc6a6556665aa5689a62d6bc6487c74.patch
      (Closes: #963484)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jun 2020 11:15:48 +0200

openscap (1.2.17-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
    This is the first version with full python3 compatibility.
  * Update package to python3 closes: #937211
  * d/control
    - Change to debhelper-compat
    - Bump to debhelper 10
      Being able to parallelize build
    - Remove autotools-dev and dh_autotools from build dependencies
  * Add apt-1.9.0.patch closes: #930673
  * Add apt-1.9.11.patch use pkgCacheFile instead of mmap
    Patches from Julian Andres Klode on Ubuntu
  * Add use_sys-xattr.patch closes: #953916
    also remove libattr1-dev as build-dependency
  * Disable 010-install-cpe-oval.patch
  * Add d/source/lintian-override for file with
    very_long_line_lenghts_in_source_file
  * Add d/libopenscap8.lintian-overrides for man page with long line length
  * d/missing-sources
    - Update jquery.js
    - Add bootstrap.js

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 10 Apr 2020 17:42:40 +0200

openscap (1.2.16-2ubuntu5) groovy; urgency=medium

  [ Mark Morlino ]
  * debian/patches/5e5bc61c1fc6a6556665aa5689a62d6bc6487c74.patch: Fix
    dangling '*' in dpkginfo_free_reply declaration.

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 21 May 2020 13:35:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,24 @@
 Source: openscap
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 9),
-    autotools-dev,
+Build-Depends: debhelper-compat (= 10),
     libpcre3-dev,
     libxml2-dev,
     libxslt1-dev,
     swig,
-    python-all-dev,
+    python3-dev,
     libperl-dev,
     libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
     libgcrypt-dev,
     libapt-pkg-dev,
     libselinux1-dev [linux-any],
     libcap-dev [linux-any],
-    libattr1-dev,
     libldap2-dev,
     libbz2-dev,
     pkg-config,
-    dh-autoreconf,
     dh-python,
     libdbus-1-dev
-XS-Python-Version: all
 Standards-Version: 4.1.0
 Section: libs
 Homepage: http://www.open-scap.org/
@@ -70,12 +66,11 @@
   * Extensible Configuration Checklist Description Format (XCCDF)
   * Open Vulnerability and Assessment Language (OVAL)
 
-Package: python-openscap
+Package: python3-openscap
 Section: python
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap8 (= ${binary:Version})
-XB-Python-Version: ${python:Versions}
-Provides: ${python:Provides}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libopenscap8 (= ${binary:Version})
+Provides: ${python3:Provides}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -91,7 +86,7 @@
   * Extensible Configuration Checklist Description Format (XCCDF)
   * Open Vulnerability and Assessment Language (OVAL)
  .
- This package contains the Python bindings for OpenSCAP.
+ This package contains the Python3 bindings for OpenSCAP.
 
 Package: libopenscap-perl
 Section: perl
@@ -136,4 +131,3 @@
   * Open Vulnerability and Assessment Language (OVAL)
  .
  This package contains debugging symbols for OpenSCAP.
-

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
-DEFAULTPY=$(shell pyversions -v -d)
-PYVERSIONS=$(shell pyversions -v -r)
-ALLPY=$(PYVERSIONS)
+DEFAULTPY=$(shell py3versions -v -d)
+ALLPY=$(DEFAULTPY)
 
 override_dh_auto_test:
 	# disable tests until they work as expected
@@ -31,11 +30,11 @@
 
 override_dh_strip:
 	dh_strip -plibopenscap8 --dbg-package=libopenscap8-dbg
-	dh_strip -ppython-openscap --dbg-package=libopenscap8-dbg
+	dh_strip -ppython3-openscap --dbg-package=libopenscap8-dbg
 	dh_strip -plibopenscap-perl --dbg-package=libopenscap8-dbg
 
 override_dh_auto_clean:
 	rm -rf build-*
 
 %:
-	dh $@ --with autoreconf,python2
+	dh $@ --with python3

## openscap 1.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

# Inspired and referenced from https://blog.kitware.com/cmake-and-the-default-build-type
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
	message(STATUS "Setting build type to 'Release' as none was specified.")
	set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
	set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
		"MinSizeRel" "RelWithDebInfo")
endif()

project("openscap")
set(OPENSCAP_VERSION_MAJOR "1")
set(OPENSCAP_VERSION_MINOR "3")
set(OPENSCAP_VERSION_PATCH "4")

if(OPENSCAP_VERSION_SUFFIX)
	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}_${OPENSCAP_VERSION_SUFFIX}")
else()
	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}")
endif()

# libtool versioning
# See http://sources.redhat.com/autobook/autobook/autobook_91.html#SEC91 for details

## increment if the interface has additions, changes, removals.
set(LT_CURRENT 28)

## increment any time the source changes; set 0 to if you increment CURRENT
set(LT_REVISION 0)

## increment if any interfaces have been added; set to 0
## if any interfaces have been changed or removed. removal has
## precedence over adding, so set to 0 if both happened.
set(LT_AGE 3)

math(EXPR LT_CURRENT_MINUS_AGE "${LT_CURRENT} - ${LT_AGE}")

set(SONAME ${LT_CURRENT_MINUS_AGE}.${LT_AGE}.${LT_REVISION})
set(SOVERSION ${LT_CURRENT_MINUS_AGE})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

message(STATUS "OpenSCAP ${OPENSCAP_VERSION}")
message(STATUS "(see ${CMAKE_SOURCE_DIR}/docs/developer/developer.adoc for build instructions)")
message(STATUS " ")

# Strictly speaking in-source will work but will be very messy, let's
# discourage our users from using them
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
	message(FATAL_ERROR "In-source builds are not supported! Please use out of source builds:\n"
		"$ cd openscap\n"
		"$ rm CMakeCache.txt\n"
		"$ cd build\n"
		"$ cmake ../\n"
		"$ make -j4"
		)
endif()

# In Microsoft Visual Studio, store built binaries to a single directory.
# We need to build all the binaries in a single directory on Windows, because
# vcpkg tool fails to fetch dependent DLLs (libxml, libcurl, etc.) if
# oscap.exe is build to a different directory than openscap.dll.
# See the discussion in https://github.com/Microsoft/vcpkg/issues/1002
if(MSVC)
	set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_PDB_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()

# ---------- INCLUDES CMAKE MODULES

include(GNUInstallDirs)
include(FindPkgConfig)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckCSourceCompiles)
include(CMakeDependentOption)

# ---------- DEPENDENCIES

find_package(ACL)
if(ACL_FOUND)
	check_library_exists("${ACL_LIBRARY}" acl_extended_file "" HAVE_ACL_EXTENDED_FILE)
	check_include_file(acl/libacl.h HAVE_ACL_LIBACL_H)
	check_include_file(sys/acl.h HAVE_SYS_ACL_H)
endif()

find_package(AptPkg)

find_package(Blkid)
if(BLKID_FOUND)
	check_library_exists("${BLKID_LIBRARY}" blkid_get_tag_value "" HAVE_BLKID_GET_TAG_VALUE)
endif()

find_package(Cap)
if(CAP_FOUND)
	check_library_exists("${CAP_LIBRARIES}" cap_get_pid "" HAVE_CAP_GET_PID)
endif()

find_package(CURL)
find_package(DBus)
find_package(Doxygen)
find_package(GConf)
find_package(Ldap)
find_package(OpenDbx)
find_package(PCRE REQUIRED)
find_package(PerlLibs)
find_package(Popt)

find_package(Procps)
if(PROCPS_FOUND)
	check_library_exists("${PROCPS_LIBRARY}" dev_to_tty "" HAVE_DEV_TO_TTY)
	check_include_file(proc/devname.h HAVE_PROC_DEVNAME_H)
endif()

# According to CMake documentation:
# https://cmake.org/cmake/help/latest/module/FindPythonInterp.html
# If calling both find_package(PythonInterp) and find_package(PythonLibs),
# call find_package(PythonInterp) first to get the currently active Python
# version by default with a consistent version of PYTHON_LIBRARIES.
find_package(PythonInterp 3)
find_package(PythonLibs 3)

set(PREFERRED_PYTHON_PATH "${PYTHON_EXECUTABLE}")
set(PYTHON3_PATH "${PYTHON_EXECUTABLE}")

find_package(RPM)
if(RPM_FOUND)
	check_library_exists("${RPM_LIBRARY}" rpmReadConfigFiles "" HAVE_RPMREADCONFIGFILES)
	check_library_exists("${RPM_LIBRARY}" headerFormat "" HAVE_HEADERFORMAT)
	check_library_exists("${RPMIO_LIBRARY}" rpmFreeCrypto "" HAVE_RPMFREECRYPTO)
	check_library_exists("${RPM_LIBRARY}" rpmFreeFilesystems "" HAVE_RPMFREEFILESYSTEMS)
	check_library_exists("${RPM_LIBRARY}" rpmVerifyFile "" HAVE_RPMVERIFYFILE)
	set(HAVE_RPMVERCMP 1)
endif()

find_package(SELinux)
find_package(SWIG)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)
find_package(BZip2)

# PThread
if (WIN32)
	find_package(ZLIB REQUIRED)
endif()

if (WIN32 AND NOT MINGW)
	find_package(pthread CONFIG REQUIRED)
	set(CMAKE_THREAD_LIBS_INIT ${PThreads4W_LIBRARY})
else()
	find_package(Threads REQUIRED)
endif()
set(CMAKE_THREAD_PREFER_PTHREAD)
set(THREADS_PREFER_PTHREAD_FLAG)
set(THREADS_USE_PTHREADS_WIN32 TRUE)
check_library_exists(pthread pthread_timedjoin_np "" HAVE_PTHREAD_TIMEDJOIN_NP)
check_library_exists(pthread pthread_setname_np "" HAVE_PTHREAD_SETNAME_NP)
check_library_exists(pthread pthread_getname_np "" HAVE_PTHREAD_GETNAME_NP)

# WITH_CRYPTO
set(WITH_CRYPTO "gcrypt" CACHE STRING "gcrypt|nss3")
if(NOT (${WITH_CRYPTO} EQUAL "nss3"))
	# gcrypt
	find_package(GCrypt)
else()
	# nss3
	find_package(NSS)
endif()
if(GCRYPT_FOUND OR NSS_FOUND)
	set(CRYPTO_FOUND TRUE)
endif()

find_package(Libyaml)
if(EXISTS ${CMAKE_SOURCE_DIR}/yaml-filter/CMakeLists.txt)
	message(STATUS "yaml-filter was found")
	set(YAML_FILTER_FOUND TRUE)
else()
	message(STATUS "yaml-filter was not found")
	set(YAML_FILTER_FOUND FALSE)
endif()

check_library_exists(rt clock_gettime "" HAVE_CLOCK_GETTIME)
check_function_exists(posix_memalign HAVE_POSIX_MEMALIGN)
check_function_exists(memalign HAVE_MEMALIGN)
check_function_exists(fts_open HAVE_FTS_OPEN)
check_function_exists(strsep HAVE_STRSEP)
check_function_exists(strptime HAVE_STRPTIME)

check_include_file(syslog.h HAVE_SYSLOG_H)
check_include_file(stdio_ext.h HAVE_STDIO_EXT_H)
check_include_file(shadow.h HAVE_SHADOW_H)
check_include_file(sys/systeminfo.h HAVE_SYS_SYSTEMINFO_H)
check_include_file(getopt.h HAVE_GETOPT_H)
check_include_file(sys/mman.h HAVE_MMAN_H)
check_include_file(sys/uio.h HAVE_UIO_H)
check_include_file(sys/xattr.h HAVE_SYS_XATTR_H)
check_include_file(attr/xattr.h HAVE_ATTR_XATTR_H)
check_include_files("sys/types.h;sys/extattr.h" HAVE_SYS_EXTATTR_H)

# HAVE_ATOMIC_BUILTINS
check_c_source_compiles("#include <stdint.h>\nint main() {uint16_t foovar=0; uint16_t old=1; uint16_t new=2;__sync_bool_compare_and_swap(&foovar,old,new); return __sync_fetch_and_add(&foovar, 1); __sync_fetch_and_add(&foovar, 1);}" HAVE_ATOMIC_BUILTINS)
if(NOT HAVE_ATOMIC_BUILTINS)
	message(WARNING "!!! Compiler does not support atomic builtins. Atomic operation will be emulated using mutex-based locking. !!!")
endif()

mark_as_advanced(ENV_PRESENT VALGRIND_PRESENT)
find_program(ENV_PRESENT env)
find_program(VALGRIND_PRESENT valgrind)
find_program(ASCIIDOC_EXECUTABLE asciidoc)
find_program(SED_EXECUTABLE sed)
find_program(GIT_EXECUTABLE git)

# ---------- CORE FEATURE SWITCHES
if(WIN32 OR APPLE)
	option(ENABLE_SCE "enables Script Check Engine - an alternative checking engine that lets you use executables instead of OVAL for checks" OFF)
else()
	option(ENABLE_SCE "enables Script Check Engine - an alternative checking engine that lets you use executables instead of OVAL for checks" ON)
endif()

# ---------- OVAL FEATURE SWITCHES

option(ENABLE_PROBES "build OVAL probes - each probe implements an OVAL test" TRUE)
set(SEAP_MSGID_BITS 32 CACHE STRING "Size of SEAP_msgid_t in bits [32|64]")
cmake_dependent_option(ENABLE_PROBES_INDEPENDENT "build OVAL probes for independent (cross platform) OVAL tests" ON "ENABLE_PROBES" OFF)
# On some platforms (Windows..) UNIX ends up being empty instead of "false"
set(IS_UNIX FALSE)
if (UNIX)
    set(IS_UNIX TRUE)
endif()
cmake_dependent_option(ENABLE_PROBES_UNIX "build OVAL probes for the UNIX OVAL tests" ${IS_UNIX} "ENABLE_PROBES" OFF)
string(COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "Linux" IS_LINUX)
cmake_dependent_option(ENABLE_PROBES_LINUX "build OVAL probes for the Linux OVAL tests" ${IS_LINUX} "ENABLE_PROBES" OFF)
string(COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "Solaris" IS_SOLARIS)
cmake_dependent_option(ENABLE_PROBES_SOLARIS "build OVAL probes for the Solaris OVAL tests" ${IS_SOLARIS} "ENABLE_PROBES" OFF)
set(IS_WIN32 FALSE)
if (WIN32)
    set(IS_WIN32 TRUE)
endif()
cmake_dependent_option(ENABLE_PROBES_WINDOWS "build OVAL probes for the Windows OVAL tests" ${IS_WIN32} "ENABLE_PROBES" OFF)

# INDEPENDENT PROBES
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_ENVIRONMENTVARIABLE "Independent environmentvariable probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_ENVIRONMENTVARIABLE58 "Independent environmentvariable58 probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FAMILY "Independent family probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FILEHASH "Independent filehash probe" ON "ENABLE_PROBES_INDEPENDENT; CRYPTO_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FILEHASH58 "Independent filehash58 probe" ON "ENABLE_PROBES_INDEPENDENT; CRYPTO_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SQL "Independent sql probe" ON "ENABLE_PROBES_INDEPENDENT; OPENDBX_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SQL57 "Independent sql57 probe" ON "ENABLE_PROBES_INDEPENDENT; OPENDBX_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SYSTEM_INFO "Independent system info probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_TEXTFILECONTENT "Independent textfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_TEXTFILECONTENT54 "Independent textfilecontent54 probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_VARIABLE "Independent variable probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_XMLFILECONTENT "Independent xmlfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_YAMLFILECONTENT "Independent yamlfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; LIBYAML_FOUND; YAML_FILTER_FOUND; NOT WIN32" OFF)

# UNIX PROBES
cmake_dependent_option(OPENSCAP_PROBE_UNIX_DNSCACHE "Unix dnscache probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_FILE "Unix file probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_FILEEXTENDEDATTRIBUTE "Unix fileextendedattribute probe" ON "ENABLE_PROBES_UNIX; HAVE_SYS_XATTR_H OR HAVE_ATTR_XATTR_H OR HAVE_SYS_EXTATTR_H" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_GCONF "Unix gconf probe" ON "ENABLE_PROBES_UNIX; GCONF_FOUND" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_INTERFACE "Unix interface probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_PASSWORD "Unix password probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_PROCESS "Unix process probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_PROCESS58 "Unix process58 probe" ON "ENABLE_PROBES_UNIX; CAP_FOUND" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_ROUTINGTABLE "Unix routingtable probe" ON "ENABLE_PROBES_UNIX" OFF)

=== schemas/CMakeLists.txt ===
install(DIRECTORY arf common cpe cve ocil oval sce sds xccdf
	DESTINATION ${OSCAP_DEFAULT_SCHEMA_PATH})

=== debian/changelog ===
openscap (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4

 -- Philippe Thierry <philou@debian.org>  Mon, 01 Feb 2021 16:22:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,36 @@
 Source: openscap
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper-compat (= 10),
+Maintainer: Pierre Chifflier <pollux@debian.org>
+Uploaders: Philippe Thierry <philou@debian.org>
+Build-Depends: debhelper (>= 13),
+    cmake,
     libpcre3-dev,
     libxml2-dev,
     libxslt1-dev,
     swig,
-    python3-dev,
+    python3-all-dev,
     libperl-dev,
     libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
     libgcrypt-dev,
     libapt-pkg-dev,
     libselinux1-dev [linux-any],
     libcap-dev [linux-any],
+    libattr1-dev,
     libldap2-dev,
     libbz2-dev,
     pkg-config,
     dh-python,
+    chrpath,
     libdbus-1-dev
-Standards-Version: 4.1.0
+X-Python3-Version: >= 3.9
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://www.open-scap.org/
 
 Package: libopenscap-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libopenscap8 (= ${binary:Version}), ${misc:Depends}, libjs-jquery
+Depends: libopenscap8 (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}, libjs-jquery
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -50,7 +54,7 @@
 Conflicts: libopenscap0, libopenscap1, libopenscap3
 Replaces: libopenscap0, libopenscap1, libopenscap3
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -70,6 +74,7 @@
 Section: python
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libopenscap8 (= ${binary:Version})
+X-Python3-Version: ${python3:Versions}
 Provides: ${python3:Provides}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
@@ -86,7 +91,7 @@
   * Extensible Configuration Checklist Description Format (XCCDF)
   * Open Vulnerability and Assessment Language (OVAL)
  .
- This package contains the Python3 bindings for OpenSCAP.
+ This package contains the Python bindings for OpenSCAP.
 
 Package: libopenscap-perl
 Section: perl
@@ -131,3 +136,4 @@
   * Open Vulnerability and Assessment Language (OVAL)
  .
  This package contains debugging symbols for OpenSCAP.
+

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,12 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 DEFAULTPY=$(shell py3versions -v -d)
-ALLPY=$(DEFAULTPY)
+PYVERSIONS=$(shell py3versions -v -r)
+ALLPY=$(PYVERSIONS)
+PERL_VERSION:=$(shell perl -e 'my @ver=split /\./, sprintf("%vd", $$^V); print("$$ver[0].$$ver[1]");')
 
 override_dh_auto_test:
 	# disable tests until they work as expected
@@ -14,7 +16,7 @@
 override_dh_auto_configure: $(ALLPY:%=override_dh_auto_configure-%)
 
 override_dh_auto_configure-%:
-	dh_auto_configure -Bbuild-python-$* -- --enable-sce --enable-perl PYTHON=/usr/bin/python$*
+	dh_auto_configure -Bbuild-python-$* -- --enable-sce --enable-perl -DPERL_VERSION=$(PERL_VERSION) PYTHON=/usr/bin/python$*
 
 override_dh_auto_build: $(ALLPY:%=override_dh_auto_build-%)
 
@@ -24,6 +26,13 @@
 override_dh_auto_install: $(ALLPY:%=override_dh_auto_install-%)
 	find debian/tmp -name "*.la" -delete
 	rm -f debian/libopenscap-dev/usr/share/doc/libopenscap-dev/html/jquery.js
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/$(PERL_VERSION)
+	chrpath -d debian/tmp/usr/bin/oscap
+	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenscap.so.25.3.0
+	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenscap_sce.so.25.3.0
+	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/perl5/5.32/openscap_pm.so
+	chmod 0644 debian/tmp/usr/lib/python3/dist-packages/openscap_py.py
+	chmod 0644 debian/tmp/usr/lib/python3/dist-packages/openscap_api.py
 
 override_dh_auto_install-%:
 	dh_auto_install -Bbuild-python-$* --destdir=debian/tmp
@@ -37,4 +46,4 @@
 	rm -rf build-*
 
 %:
-	dh $@ --with python3
+	dh $@ --with autoreconf,python3
